<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>InputExtent (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="InputExtent (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/extent/MaskingExtent.html" title="class in com.sk89q.worldedit.extent"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/extent/InputExtent.html" target="_top">Frames</a></li>
<li><a href="InputExtent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extent</div>
<h2 title="Interface InputExtent" class="title">Interface InputExtent</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a>, <a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>, <a href="../../../../com/sk89q/worldedit/extent/reorder/ReorderingExtent.html" title="interface in com.sk89q.worldedit.extent.reorder">ReorderingExtent</a>, <a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">AbstractDelegateExtent</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html" title="class in com.sk89q.worldedit.world">AbstractWorld</a>, <a href="../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html" title="class in com.sk89q.worldedit.extent.clipboard">BlockArrayClipboard</a>, <a href="../../../../com/sk89q/worldedit/extent/inventory/BlockBagExtent.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/validation/BlockChangeLimiter.html" title="class in com.sk89q.worldedit.extent.validation">BlockChangeLimiter</a>, <a href="../../../../com/sk89q/worldedit/extent/world/BlockQuirkExtent.html" title="class in com.sk89q.worldedit.extent.world">BlockQuirkExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/transform/BlockTransformExtent.html" title="class in com.sk89q.worldedit.extent.transform">BlockTransformExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/ChangeSetExtent.html" title="class in com.sk89q.worldedit.extent">ChangeSetExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/reorder/ChunkBatchingExtent.html" title="class in com.sk89q.worldedit.extent.reorder">ChunkBatchingExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/world/ChunkLoadingExtent.html" title="class in com.sk89q.worldedit.extent.world">ChunkLoadingExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/validation/DataValidatorExtent.html" title="class in com.sk89q.worldedit.extent.validation">DataValidatorExtent</a>, <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>, <a href="../../../../com/sk89q/worldedit/extent/buffer/ExtentBuffer.html" title="class in com.sk89q.worldedit.extent.buffer">ExtentBuffer</a>, <a href="../../../../com/sk89q/worldedit/extent/world/FastModeExtent.html" title="class in com.sk89q.worldedit.extent.world">FastModeExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/buffer/ForgetfulExtentBuffer.html" title="class in com.sk89q.worldedit.extent.buffer">ForgetfulExtentBuffer</a>, <a href="../../../../com/sk89q/worldedit/extent/cache/LastAccessExtentCache.html" title="class in com.sk89q.worldedit.extent.cache">LastAccessExtentCache</a>, <a href="../../../../com/sk89q/worldedit/extent/MaskingExtent.html" title="class in com.sk89q.worldedit.extent">MaskingExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/reorder/MultiStageReorder.html" title="class in com.sk89q.worldedit.extent.reorder">MultiStageReorder</a>, <a href="../../../../com/sk89q/worldedit/extent/NullExtent.html" title="class in com.sk89q.worldedit.extent">NullExtent</a>, <a href="../../../../com/sk89q/worldedit/world/NullWorld.html" title="class in com.sk89q.worldedit.world">NullWorld</a>, <a href="../../../../com/sk89q/worldedit/session/request/RequestExtent.html" title="class in com.sk89q.worldedit.session.request">RequestExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/world/SurvivalModeExtent.html" title="class in com.sk89q.worldedit.extent.world">SurvivalModeExtent</a>, <a href="../../../../com/sk89q/worldedit/TracedEditSession.html" title="class in com.sk89q.worldedit">TracedEditSession</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">InputExtent</span></pre>
<div class="block">Provides the current state of blocks, entities, and so on.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">getBiome</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position)</code>
<div class="block">Get the biome at the given location.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Get a snapshot of the block at the given location.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Get a immutable snapshot of the block at the given location.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBlock-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlock</h4>
<pre><a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;getBlock(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block">Get a snapshot of the block at the given location.

 <p>If the given position is out of the bounds of the extent, then the behavior
 is undefined (an air block could be returned). However, <code>null</code>
 should <strong>not</strong> be returned.</p>

 <p>The returned block is immutable and is a snapshot of the block at the time
 of call. It has no position attached to it, so it could be reused in
 <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern"><code>Pattern</code></a>s and so on.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the block</dd>
</dl>
</li>
</ul>
<a name="getFullBlock-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFullBlock</h4>
<pre><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&nbsp;getFullBlock(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block">Get a immutable snapshot of the block at the given location.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the block</dd>
</dl>
</li>
</ul>
<a name="getBiome-com.sk89q.worldedit.math.BlockVector2-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getBiome</h4>
<pre><a href="../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a>&nbsp;getBiome(<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position)</pre>
<div class="block">Get the biome at the given location.

 <p>If there is no biome available, then the ocean biome should be
 returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the (x, z) location to check the biome at</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the biome at the location</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/extent/MaskingExtent.html" title="class in com.sk89q.worldedit.extent"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/extent/InputExtent.html" target="_top">Frames</a></li>
<li><a href="InputExtent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
